<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <artifactId>wmy-parent</artifactId>
        <groupId>com.yizhi</groupId>
        <version>1.0-SNAPSHOT</version>
        <relativePath/>
    </parent>

    <artifactId>cloud-web</artifactId>
    <version>1.0-SNAPSHOT</version>

    <modules>
        <module>cloud-web-manage</module>
        <module>cloud-web-student</module>
    </modules>
    <packaging>pom</packaging>

    <dependencies>
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-newMessage-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-album-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-comment-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 调研api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-research-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-documents-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 课程api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-course-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-lecturer-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 培训项目api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-training-project-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 报表  -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-statistics-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 作业api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-assignment-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 证书api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-certificate-api</artifactId>
            <version>1.0-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <artifactId>mysql-connector-java</artifactId>
                    <groupId>mysql</groupId>
                </exclusion>
                <exclusion>
                    <artifactId>HikariCP</artifactId>
                    <groupId>com.zaxxer</groupId>
                </exclusion>
            </exclusions>
        </dependency>

        <!-- 系统api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-system-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 考试api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-exam-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 门户api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-site-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <!-- 门户投票 依赖 -->
        <!--		<dependency>-->
        <!--            <groupId>com.yizhi</groupId>-->
        <!--            <artifactId>cloud-vote-api</artifactId>-->
        <!--        </dependency>-->

        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-wechat-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 报名api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-enroll-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 直播api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-live-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 积分api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-point-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 学习日志api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-course-study-log-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 签到api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-sign-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 自定义项目api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-customproject-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-common-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-util</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-core</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>




        <!-- 签到api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-aliyun-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <!-- 案例库api 依赖 -->
        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>library-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>calendar-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-drools-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>com.yizhi</groupId>
            <artifactId>cloud-forum-api</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>org.icepdf.os</groupId>
            <artifactId>icepdf-core</artifactId>
            <version>6.3.2</version>
        </dependency>

        <!-- pdf->png包 -->
        <dependency>
            <groupId>org.apache.pdfbox</groupId>
            <artifactId>pdfbox</artifactId>
            <version>2.0.8</version>
        </dependency>
        <dependency>
            <groupId>org.apache.pdfbox</groupId>
            <artifactId>pdfbox-tools</artifactId>
            <version>2.0.8</version>
        </dependency>

        <!-- office转pdf包 -->
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
            <version>29.0-android</version>
        </dependency>
        <dependency>
            <groupId>com.github.livesense</groupId>
            <artifactId>jodconverter-core</artifactId>
            <version>1.0.5</version>
        </dependency>

        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-core</artifactId>
            <version>3.2.2</version>
        </dependency>

        <dependency>
            <groupId>com.aliyun.oss</groupId>
            <artifactId>aliyun-sdk-oss</artifactId>
            <version>2.8.3</version>
        </dependency>

        <dependency>
            <groupId>com.sun.jna</groupId>
            <artifactId>jna</artifactId>
            <version>3.0.9</version>
        </dependency>

        <dependency>
            <groupId>org</groupId>
            <artifactId>jaudiotagger</artifactId>
            <version>2.0.1</version>
        </dependency>
    </dependencies>

    <repositories>
        <repository>
            <id>hqzhdj-data-group</id>
            <url>http://192.168.0.15:8081/repository/hqzhdj-data-group/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>always</updatePolicy>
            </snapshots>
        </repository>
    </repositories>


</project>
